Bug 474596 - (boinc-client) boinc-client can not connect to the server on Fedora 10 i686
boinc-client can not connect to the server on Fedora 10 i686
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: boinc-client (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Milos Jakubicek
Fedora Extras Quality Assurance
http://lsl88.yo2.cn
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-04 11:12 EST by Liang Suilong
Modified: 2009-01-15 09:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-15 09:57:18 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Liang Suilong 2008-12-04 11:12:41 EST
boinc-client error

I have installed boinc-client after the boinc wiki. I installed boinc-client an run. But it can not connect to the server. Also, i find the boinc-client service is still running. I tried to start boinc in gnome-terminal. The terminal sent these messages to me! 

[fedora@fedora-desktop ~]$ boinc
04-Dec-2008 23:55:35 [---] Starting BOINC client version 6.2.15 for i686-pc-linux-gnu
04-Dec-2008 23:55:35 [---] This a development version of BOINC and may not function properly
04-Dec-2008 23:55:35 [---] log flags: task, file_xfer, sched_ops
04-Dec-2008 23:55:35 [---] Libraries: libcurl/7.18.2 NSS/3.12.1.1 zlib/1.2.3 libidn/0.6.14 libssh2/0.18
04-Dec-2008 23:55:35 [---] Data directory: /home/fedora
04-Dec-2008 23:55:35 [---] Processor: 2 AuthenticAMD AMD Athlon(tm) 64 X2 Dual Core Processor 4200+ [Family 15 Model 107 Stepping 1]
04-Dec-2008 23:55:35 [---] Processor features: fpu vme de pse tsc msr pae mce cx8 apic mtrr pge mca cmov pat pse36 clflush mmx fxsr sse sse2 ht syscall nx mmxext fxsr_opt rdtscp lm 3dnowext 3dnow pni cx16 lahf_lm cmp_legacy svm extapic cr8_legacy 3dnowprefetch
04-Dec-2008 23:55:35 [---] OS: Linux: 2.6.27.5-117.fc10.i686
04-Dec-2008 23:55:35 [---] Memory: 1.98 GB physical, 2.00 GB virtual
04-Dec-2008 23:55:35 [---] Disk: 19.23 GB total, 14.44 GB free
04-Dec-2008 23:55:35 [---] Local time is UTC +8 hours
04-Dec-2008 23:55:35 [---] No coprocessors
04-Dec-2008 23:55:36 [---] No general preferences found - using BOINC defaults
04-Dec-2008 23:55:36 [---] Preferences limit memory usage when active to 1012.78MB
04-Dec-2008 23:55:36 [---] Preferences limit memory usage when idle to 1823.00MB
04-Dec-2008 23:55:36 [---] Preferences limit disk usage to 9.31GB
04-Dec-2008 23:56:05 [---] [error] GUI RPC bind failed: 98
gstate.init() failed: -180

Also, I have added the line NETWORKWAIT=yes to /etc/sysconfig/network. But it does not correct!
 My system is Fedora 10, and the version of boinc is 6.2.15-svn20080818....
I hope someone can help me!
Comment 1 Milos Jakubicek 2008-12-14 10:33:24 EST
>I have installed boinc-client after the boinc wiki

Do you mean this wiki:
https://fedoraproject.org/wiki/User:Mjakubicek/HowToUseBoinc
?

(if not, be sure to read it first)

>04-Dec-2008 23:55:35 [---] Data directory: /home/fedora

I assume you've overridden the default directory in /etc/sysconfig/boinc, am I right? If so, please try a new release on https://koji.fedoraproject.org/koji/buildinfo?buildID=74572

The behavior how BOINC specifies its data directory has probably changed, the new init script should reflect this.
Comment 2 Liang Suilong 2008-12-17 02:49:50 EST
At first, Thank you for you packages and your wiki..

After installing your packages, I ran boinc-client and boinc-manager and it ran well. All are OK! I could join in the seti@home project. 

Unluckily, when I restarted my computer, boinc-manager could not connect the server. I tried many ways to return to the normal, but I failed. My computer displayed the same error which I reported first time.


Also, I have read your wiki about boinc-client. That is great. However, it does not work. Then I read this wiki:
http://boinc.berkeley.edu/wiki/Installing_BOINC_on_Fedora
It is quite similar to your wiki. 

Maybe there is no mistake in your new init script. I think there are some bugs in the GUI RPC bind. er...We need some programmer to improve the source code.
Comment 3 Milos Jakubicek 2008-12-17 10:01:07 EST
>Unluckily, when I restarted my computer, boinc-manager could not connect the
>server.

Are you sure that:

- the boinc client is running? (Try "service boinc-client status")
- you passed proper password?
Comment 4 Liang Suilong 2008-12-20 09:05:57 EST
yes! the boinc-client is running......

You can see this page : http://setiathome.berkeley.edu/hosts_user.php?userid=8987717
these are my credits and the credit of the computer which is running the operation system named as Linux 2.6.27.7-137.fc10.i686 is growing. So it proves that my boinc-client is running. 

I think I type a correct password into boinc-manager. And I change my password under the direction of your wiki.

Er...I will try it again.
Comment 5 Milos Jakubicek 2009-01-02 12:12:35 EST
What's the current state? Do you still have problems connecting from BOINC Manager?
Comment 6 Liang Suilong 2009-01-02 13:25:01 EST
(In reply to comment #5)
> What's the current state? Do you still have problems connecting from BOINC
> Manager?

Thank you for your help! I am so sorry that I forget to write a letter to you! haha!

Now My boinc-6.2.15 is running well. I think the problem has been fixed already! When I start boinc-manager, It still can not connect to boinc-client automatically. But After I type my host name and password, boinc-manager connects to boinc-client and shows the statement of boinc-client. Even though boinc-manager can not connect to boinc-client, I know boinc-client is running after I turn on my compueter by CLI. Er....In other operation systems, such as Ubuntu and Windows XP, boinc-manager can connect to boinc-client automatically. If someone can fix it, I feel it is better!

I know you have built new rpms for boinc-6.4.5. Yes! I will try it. If there is some problems, I will report to you just now!
Comment 7 Milos Jakubicek 2009-01-15 09:57:18 EST
>Now My boinc-6.2.15 is running well. I think the problem has been fixed
>already! When I start boinc-manager, It still can not connect to boinc-client
>automatically.

That's correct. If you don't want to use the password protection, clear the password as described on the wiki:
https://fedoraproject.org/wiki/User:Mjakubicek/HowToUseBoinc

Note You need to log in before you can comment on or make changes to this bug.